## parasail 2.4.3+dfsg

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED( VERSION 3.2 )

FILE( STRINGS parasail.h MAJOR REGEX "^#define +PARASAIL_VERSION_MAJOR +[0-9]+$" )
FILE( STRINGS parasail.h MINOR REGEX "^#define +PARASAIL_VERSION_MINOR +[0-9]+$" )
FILE( STRINGS parasail.h PATCH REGEX "^#define +PARASAIL_VERSION_PATCH +[0-9]+$" )
STRING( REPLACE "#define PARASAIL_VERSION_MAJOR " "" MAJOR ${MAJOR} )
STRING( REPLACE "#define PARASAIL_VERSION_MINOR " "" MINOR ${MINOR} )
STRING( REPLACE "#define PARASAIL_VERSION_PATCH " "" PATCH ${PATCH} )

PROJECT( parasail VERSION ${MAJOR}.${MINOR}.${PATCH} )

SET( CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake" ${CMAKE_MODULE_PATH} )

OPTION( BUILD_SHARED_LIBS "Build Shared Libraries" ON )
SET( LIB_TYPE STATIC )
IF( BUILD_SHARED_LIBS )
  SET( LIB_TYPE SHARED )
  # All OBJECT libraries below are later consumed by a shared library so
  # the following is OK. Saves on setting it as a per target property.
  SET( CMAKE_POSITION_INDEPENDENT_CODE ON )
ENDIF( )

INCLUDE( CheckFunctionExists )
INCLUDE( CheckIncludeFile )
INCLUDE( CheckLibraryExists )
INCLUDE( CheckSymbolExists )
INCLUDE( CheckTypeSize )
INCLUDE( CheckCSourceCompiles )
INCLUDE( FindOpenMP )
INCLUDE( FindSSE2 )
INCLUDE( FindSSE41 )
INCLUDE( FindAVX2 )
INCLUDE( Findxgetbv )
INCLUDE( FindAltiVec )
INCLUDE( FindNEON )
INCLUDE( FindZLIB )
INCLUDE( TestBigEndian )

MESSAGE( STATUS "Check if the CPU is POWER" )
IF( ${CMAKE_SYSTEM_PROCESSOR} MATCHES "p(ower)?pc" )
    SET( IS_POWER_ISA TRUE )
    MESSAGE( STATUS "Check if the CPU is POWER - TRUE" )
ELSE( )
    SET( IS_POWER_ISA FALSE )
    MESSAGE( STATUS "Check if the CPU is POWER - FALSE" )
ENDIF( )

MESSAGE( STATUS "Check if the CPU is ARM" )
IF( ${CMAKE_SYSTEM_PROCESSOR} MATCHES "arm.*" OR ${CMAKE_SYSTEM_PROCESSOR} MATCHES "aarch64.*" )
    SET( IS_ARM_ISA TRUE )
    MESSAGE( STATUS "Check if the CPU is ARM - TRUE" )
ELSE( )
    SET( IS_ARM_ISA FALSE )
    MESSAGE( STATUS "Check if the CPU is ARM - FALSE" )
ENDIF( )

CHECK_TYPE_SIZE( "int" SIZEOF_INT )
CHECK_TYPE_SIZE( "int8_t" SIZEOF_INT8_T )
CHECK_TYPE_SIZE( "int16_t" SIZEOF_INT16_T )
CHECK_TYPE_SIZE( "int32_t" SIZEOF_INT32_T )
CHECK_TYPE_SIZE( "int64_t" SIZEOF_INT64_T )
CHECK_TYPE_SIZE( "uint8_t" SIZEOF_UINT8_T )
CHECK_TYPE_SIZE( "uint16_t" SIZEOF_UINT16_T )
CHECK_TYPE_SIZE( "uint32_t" SIZEOF_UINT32_T )
CHECK_TYPE_SIZE( "uint64_t" SIZEOF_UINT64_T )
TEST_BIG_ENDIAN( WORDS_BIGENDIAN )

# Check for restrict keyword
FOREACH( ac_kw __restrict __restrict__ _Restrict restrict )
    CHECK_C_SOURCE_COMPILES(
"
typedef int * int_ptr;
int foo (int_ptr ${ac_kw} ip) {
    return ip[0];
}
int main() {
    int s[1];
    int * ${ac_kw} t = s;
    t[0] = 0;
    return foo(t);
}
"
    HAVE_RESTRICT )
    IF( HAVE_RESTRICT )
        SET( ac_cv_c_restrict ${ac_kw} )
        BREAK( )
    ENDIF( )
ENDFOREACH( )
IF( HAVE_RESTRICT )
    SET( restrict ${ac_cv_c_restrict} )
ELSE( )
    SET( restrict " " )
ENDIF( )

# Check for inline keyword
CHECK_C_SOURCE_COMPILES(
"
typedef int foo_t;
static inline foo_t static_foo(){return 0;}
foo_t foo(){return 0;}
int main(int argc, char *argv[]){return 0;}
"
    HAVE_INLINE_NATIVE )
IF( HAVE_INLINE_NATIVE )
ELSE ( )
    FOREACH( ac_kw __inline__ __inline )
        CHECK_C_SOURCE_COMPILES(
"
typedef int foo_t;
static ${ac_kw} foo_t static_foo(){return 0;}
foo_t foo(){return 0;}
int main(int argc, char *argv[]){return 0;}
"
        HAVE_INLINE )
        IF( HAVE_INLINE )
            SET( ac_cv_c_inline ${ac_kw} )
            BREAK( )
        ENDIF( )
    ENDFOREACH( )
    IF( HAVE_INLINE )
        SET( inline ${ac_cv_c_inline} )
    ELSE( )
        SET( inline " " )
    ENDIF( )
ENDIF( )

SET( CMAKE_REQUIRED_INCLUDES stdint.h )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_LIST_DIR} )
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_LIST_DIR}/contrib )
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_LIST_DIR}/contrib/sais-lite-lcp )
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_LIST_DIR}/contrib/ssw )
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_LIST_DIR}/src )
INCLUDE_DIRECTORIES( ${CMAKE_BINARY_DIR} )
IF( NEON_FOUND )
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_LIST_DIR}/contrib/simde/simde )
ENDIF( )

CHECK_INCLUDE_FILE( sys/mman.h HAVE_SYS_MMAN_H )
CHECK_INCLUDE_FILE( unistd.h HAVE_UNISTD_H )
CHECK_INCLUDE_FILE( windows.h HAVE_WINDOWS_H )

#CHECK_FUNCTION_EXISTS( _aligned_malloc HAVE__ALIGNED_MALLOC )
#CHECK_FUNCTION_EXISTS( posix_memalign HAVE_POSIX_MEMALIGN )
#CHECK_FUNCTION_EXISTS( aligned_alloc HAVE_ALIGNED_ALLOC )
#CHECK_FUNCTION_EXISTS( memalign HAVE_MEMALIGN )
CHECK_SYMBOL_EXISTS( _aligned_malloc malloc.h HAVE__ALIGNED_MALLOC )
CHECK_SYMBOL_EXISTS( posix_memalign stdlib.h HAVE_POSIX_MEMALIGN )
CHECK_SYMBOL_EXISTS( aligned_alloc stdlib.h HAVE_ALIGNED_ALLOC )
CHECK_SYMBOL_EXISTS( memalign malloc.h HAVE_MEMALIGN )
CHECK_FUNCTION_EXISTS( getopt HAVE_GETOPT )
CHECK_FUNCTION_EXISTS( poll HAVE_POLL )
#CHECK_FUNCTION_EXISTS( filelength HAVE_FILELENGTH )
#CHECK_FUNCTION_EXISTS( GetSystemTimeAsFileTime HAVE_GETSYSTEMTIMEASFILETIME )
#CHECK_FUNCTION_EXISTS( SetUnhandledExceptionFilter HAVE_SETUNHANDLEDEXCEPTIONFILTER )
CHECK_SYMBOL_EXISTS( filelength io.h HAVE_FILELENGTH )
CHECK_SYMBOL_EXISTS( GetSystemTimeAsFileTime windows.h HAVE_GETSYSTEMTIMEASFILETIME )
CHECK_SYMBOL_EXISTS( SetUnhandledExceptionFilter windows.h HAVE_SETUNHANDLEDEXCEPTIONFILTER )
CHECK_FUNCTION_EXISTS( clock_get_time HAVE_CLOCK_GET_TIME_NATIVE )
CHECK_FUNCTION_EXISTS( clock_gettime HAVE_CLOCK_GETTIME_NATIVE )
CHECK_LIBRARY_EXISTS( rt clock_gettime "" HAVE_CLOCK_GETTIME_RT )
CHECK_LIBRARY_EXISTS( pthread clock_gettime "" HAVE_CLOCK_GETTIME_PTHREAD )
CHECK_FUNCTION_EXISTS( sqrt HAVE_SQRT_NATIVE )
CHECK_LIBRARY_EXISTS( m sqrt "" HAVE_SQRT_M )

CONFIGURE_FILE( ${CMAKE_CURRENT_LIST_DIR}/cmake/config.h.in ${CMAKE_BINARY_DIR}/config.h )

SET( SRC_CORE
    src/cigar.c
    src/function_lookup.c
    src/io.c
    src/isastubs.c
    src/matrix_lookup.c
    src/memory.c
    src/parser.c
    src/pssw.c
    src/time.c
    src/nw_dispatch.c
    src/sg_dispatch.c
    src/sw_dispatch.c
    src/sg_qb_dispatch.c
    src/sg_qe_dispatch.c
    src/sg_qx_dispatch.c
    src/sg_db_dispatch.c
    src/sg_de_dispatch.c
    src/sg_dx_dispatch.c
    src/sg_qb_de_dispatch.c
    src/sg_qe_db_dispatch.c
    src/dispatch_profile.c
    src/satcheck.c
    src/striped_unwind.c
    src/traceback.c
)

IF( IS_POWER_ISA )
    SET( SRC_CORE ${SRC_CORE} src/cpuid_ppc.c )
ELSEIF( IS_ARM_ISA )
    SET( SRC_CORE ${SRC_CORE} src/cpuid_arm.c )
ELSE( )
    SET( SRC_CORE ${SRC_CORE} src/cpuid.c )
ENDIF( )

SET( SRC_NOVEC
    src/nw.c
    src/sg.c
    src/sw.c
    src/nw_banded.c
    src/nw_scan.c
    src/sg_scan.c
    src/sw_scan.c
    src/nw_stats.c
    src/sg_stats.c
    src/sw_stats.c
    src/nw_stats_scan.c
    src/sg_stats_scan.c
    src/sw_stats_scan.c
)

SET( SRC_TRACE_NOVEC
    src/nw_trace.c
    src/sg_trace.c
    src/sw_trace.c
    src/nw_trace_scan.c
    src/sg_trace_scan.c
    src/sw_trace_scan.c
)

SET( SRC_SSE2
    src/nw_scan_sse2_128_64.c
    src/sg_scan_sse2_128_64.c
    src/sw_scan_sse2_128_64.c
    src/nw_scan_sse2_128_32.c
    src/sg_scan_sse2_128_32.c
    src/sw_scan_sse2_128_32.c
    src/nw_scan_sse2_128_16.c
    src/sg_scan_sse2_128_16.c
    src/sw_scan_sse2_128_16.c
    src/nw_scan_sse2_128_8.c
    src/sg_scan_sse2_128_8.c
    src/sw_scan_sse2_128_8.c
    src/nw_diag_sse2_128_64.c
    src/sg_diag_sse2_128_64.c
    src/sw_diag_sse2_128_64.c
    src/nw_diag_sse2_128_32.c
    src/sg_diag_sse2_128_32.c
    src/sw_diag_sse2_128_32.c
    src/nw_diag_sse2_128_16.c
    src/sg_diag_sse2_128_16.c
    src/sw_diag_sse2_128_16.c
    src/nw_diag_sse2_128_8.c
    src/sg_diag_sse2_128_8.c
    src/sw_diag_sse2_128_8.c
    src/nw_striped_sse2_128_64.c
    src/sg_striped_sse2_128_64.c
    src/sw_striped_sse2_128_64.c
    src/nw_striped_sse2_128_32.c
    src/sg_striped_sse2_128_32.c
    src/sw_striped_sse2_128_32.c
    src/nw_striped_sse2_128_16.c
    src/sg_striped_sse2_128_16.c
    src/sw_striped_sse2_128_16.c
    src/nw_striped_sse2_128_8.c
    src/sg_striped_sse2_128_8.c
    src/sw_striped_sse2_128_8.c
    src/nw_stats_scan_sse2_128_64.c
    src/sg_stats_scan_sse2_128_64.c
    src/sw_stats_scan_sse2_128_64.c
    src/nw_stats_scan_sse2_128_32.c
    src/sg_stats_scan_sse2_128_32.c
    src/sw_stats_scan_sse2_128_32.c
    src/nw_stats_scan_sse2_128_16.c
    src/sg_stats_scan_sse2_128_16.c
    src/sw_stats_scan_sse2_128_16.c
    src/nw_stats_scan_sse2_128_8.c
    src/sg_stats_scan_sse2_128_8.c
    src/sw_stats_scan_sse2_128_8.c
    src/nw_stats_diag_sse2_128_64.c
    src/sg_stats_diag_sse2_128_64.c
    src/sw_stats_diag_sse2_128_64.c
    src/nw_stats_diag_sse2_128_32.c
    src/sg_stats_diag_sse2_128_32.c
    src/sw_stats_diag_sse2_128_32.c
    src/nw_stats_diag_sse2_128_16.c
    src/sg_stats_diag_sse2_128_16.c
    src/sw_stats_diag_sse2_128_16.c
    src/nw_stats_diag_sse2_128_8.c
    src/sg_stats_diag_sse2_128_8.c
    src/sw_stats_diag_sse2_128_8.c
    src/nw_stats_striped_sse2_128_64.c
    src/sg_stats_striped_sse2_128_64.c
    src/sw_stats_striped_sse2_128_64.c
    src/nw_stats_striped_sse2_128_32.c
    src/sg_stats_striped_sse2_128_32.c
    src/sw_stats_striped_sse2_128_32.c
    src/nw_stats_striped_sse2_128_16.c
    src/sg_stats_striped_sse2_128_16.c
    src/sw_stats_striped_sse2_128_16.c
    src/nw_stats_striped_sse2_128_8.c
    src/sg_stats_striped_sse2_128_8.c
    src/sw_stats_striped_sse2_128_8.c
)

SET( SRC_TRACE_SSE2
    src/nw_trace_scan_sse2_128_64.c
    src/sg_trace_scan_sse2_128_64.c
    src/sw_trace_scan_sse2_128_64.c
    src/nw_trace_scan_sse2_128_32.c
    src/sg_trace_scan_sse2_128_32.c
    src/sw_trace_scan_sse2_128_32.c
    src/nw_trace_scan_sse2_128_16.c
    src/sg_trace_scan_sse2_128_16.c
    src/sw_trace_scan_sse2_128_16.c
    src/nw_trace_scan_sse2_128_8.c
    src/sg_trace_scan_sse2_128_8.c
    src/sw_trace_scan_sse2_128_8.c
    src/nw_trace_diag_sse2_128_64.c
    src/sg_trace_diag_sse2_128_64.c
    src/sw_trace_diag_sse2_128_64.c
    src/nw_trace_diag_sse2_128_32.c
    src/sg_trace_diag_sse2_128_32.c
    src/sw_trace_diag_sse2_128_32.c
    src/nw_trace_diag_sse2_128_16.c
    src/sg_trace_diag_sse2_128_16.c
    src/sw_trace_diag_sse2_128_16.c
    src/nw_trace_diag_sse2_128_8.c
    src/sg_trace_diag_sse2_128_8.c
    src/sw_trace_diag_sse2_128_8.c
    src/nw_trace_striped_sse2_128_64.c
    src/sg_trace_striped_sse2_128_64.c
    src/sw_trace_striped_sse2_128_64.c
    src/nw_trace_striped_sse2_128_32.c
    src/sg_trace_striped_sse2_128_32.c
    src/sw_trace_striped_sse2_128_32.c
    src/nw_trace_striped_sse2_128_16.c
    src/sg_trace_striped_sse2_128_16.c
    src/sw_trace_striped_sse2_128_16.c
    src/nw_trace_striped_sse2_128_8.c
    src/sg_trace_striped_sse2_128_8.c
    src/sw_trace_striped_sse2_128_8.c
)

SET( SRC_SSE41
    src/nw_scan_sse41_128_64.c
    src/sg_scan_sse41_128_64.c
    src/sw_scan_sse41_128_64.c
    src/nw_scan_sse41_128_32.c
    src/sg_scan_sse41_128_32.c
    src/sw_scan_sse41_128_32.c
    src/nw_scan_sse41_128_16.c
    src/sg_scan_sse41_128_16.c
    src/sw_scan_sse41_128_16.c
    src/nw_scan_sse41_128_8.c
    src/sg_scan_sse41_128_8.c
    src/sw_scan_sse41_128_8.c
    src/nw_diag_sse41_128_64.c
    src/sg_diag_sse41_128_64.c
    src/sw_diag_sse41_128_64.c
    src/nw_diag_sse41_128_32.c
    src/sg_diag_sse41_128_32.c
    src/sw_diag_sse41_128_32.c
    src/nw_diag_sse41_128_16.c
    src/sg_diag_sse41_128_16.c
    src/sw_diag_sse41_128_16.c
    src/nw_diag_sse41_128_8.c
    src/sg_diag_sse41_128_8.c
    src/sw_diag_sse41_128_8.c
    src/nw_striped_sse41_128_64.c
    src/sg_striped_sse41_128_64.c
    src/sw_striped_sse41_128_64.c
    src/nw_striped_sse41_128_32.c
    src/sg_striped_sse41_128_32.c
    src/sw_striped_sse41_128_32.c
    src/nw_striped_sse41_128_16.c
    src/sg_striped_sse41_128_16.c
    src/sw_striped_sse41_128_16.c
    src/nw_striped_sse41_128_8.c
    src/sg_striped_sse41_128_8.c
    src/sw_striped_sse41_128_8.c
    src/sw_blocked_sse41_128_32.c
    src/sw_blocked_sse41_128_16.c
    src/nw_stats_scan_sse41_128_64.c
    src/sg_stats_scan_sse41_128_64.c
    src/sw_stats_scan_sse41_128_64.c
