## parasail 2.4.2+dfsg

=== debian/changelog ===
parasail (2.4.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Provide symbols file for amd64 only to decrease maintenance burden
    Closes: #958157

 -- Andreas Tille <tille@debian.org>  Tue, 21 Apr 2020 09:52:31 +0200

parasail (2.4.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Sat, 18 Apr 2020 06:43:38 +0200

parasail (2.4.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #956417)

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 18 Apr 2020 01:26:34 +0530
