=== debian/control ===
Source: parasail
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Nilesh Patra <npatra974@gmail.com>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libhts-dev,
               libsimde-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/parasail
Vcs-Git: https://salsa.debian.org/med-team/parasail.git
Homepage: https://github.com/jeffdaily/parasail
Rules-Requires-Root: no

Package: libparasail-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libparasail3 (= ${binary:Version}),
         ${misc:Depends}
Description: Development heaaders and static libraries for parasail
 This package provides development headers and static libraries for
 parasail. It is a SIMD C library containing implementations of the
 Smith-Waterman, Needleman-Wunsch, and various semi-global pairwise
 sequence alignment algorithm.

Package: libparasail3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Lib with various pairwise sequence alignment algorithms
 parasail is a SIMD C (C99) library containing implementations of
 the Smith-Waterman, Needleman-Wunsch, and various semi-global
 pairwise sequence alignment algorithms. Parasail implements most
 known algorithms for vectorized pairwise sequence alignment,
 including diagonal, blocked, striped, and prefix scan.

Package: parasail
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libparasail3
Description: Aligner based on libparasail3
 This package contains a command-line aligner based on
 libparasail3. Parasail is a SIMD C library containing
 implementations of the Smith-Waterman, Needleman-Wunsch,
 and various semi-global pairwise sequence alignment algorithm.
