## parasail 2.4.3%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -17,3 +17,7 @@
 override_dh_fixperms:
 	dh_fixperms
 	find debian -name "*.c" -exec chmod -x \{\} \;
+
+override_dh_missing:
+	find debian -name '*.la' | xargs rm -rf
+	dh_missing
