## parasail 2.4.3+dfsg

=== debian/changelog ===
parasail (2.4.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * debian/patches/nonx86: fix compilation on non-x86, non-arm, non-powerpc
  * No tab in license text (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 27 Jan 2021 17:29:31 +0100

parasail (2.4.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove useless .la files

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 27 Nov 2020 17:47:39 +0530
