=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Nilesh Patra <npatra974@gmail.com>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libhts-dev,
                libsimde-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/parasail
 Vcs-Git: https://salsa.debian.org/med-team/parasail.git
 Homepage: https://github.com/jeffdaily/parasail
