=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/parasail-$1\.tar\.gz/ \
  https://github.com/jeffdaily/parasail/tags .*/v?(\d\S+)\.tar\.gz
