=== debian/changelog ===
parasail (2.5+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Use DEB_HOST_MULTIARCH instead of x86_64-linux-gnu
  * Enable build on non-amd64 architectures
    Closes: #1004650

 -- Andreas Tille <tille@debian.org>  Mon, 31 Jan 2022 07:24:24 +0100

parasail (2.5+dfsg-2) unstable; urgency=medium

  * Source only upload.

 -- Andreas Tille <tille@debian.org>  Sat, 29 Jan 2022 07:46:40 +0100

parasail (2.5+dfsg-1) experimental; urgency=medium

  * Team upload.
  * d/watch: Do not report pre-releases
  * Standards-Version: 4.6.0 (routine-update)
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Source package: Section: science
  * Use d-shlibs to detect SONAME changes more easily
  * Update symbols file

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jan 2022 12:31:51 +0100
