=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: parasail
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Nilesh Patra <npatra974@gmail.com>
-Section: libs
+Uploaders: Nilesh Patra <nilesh@debian.org>
+Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               d-shlibs,
                libhts-dev,
                libsimde-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/parasail
 Vcs-Git: https://salsa.debian.org/med-team/parasail.git
 Homepage: https://github.com/jeffdaily/parasail
@@ -16,7 +17,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libparasail3 (= ${binary:Version}),
+Depends: libparasail8 (= ${binary:Version}),
          ${misc:Depends}
 Description: Development heaaders and static libraries for parasail
  This package provides development headers and static libraries for
@@ -24,8 +25,9 @@
  Smith-Waterman, Needleman-Wunsch, and various semi-global pairwise
  sequence alignment algorithm.
 
-Package: libparasail3
+Package: libparasail8
 Architecture: any
+Section: libs
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -40,9 +42,9 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libparasail3
-Description: Aligner based on libparasail3
+         libparasail8
+Description: Aligner based on libparasail
  This package contains a command-line aligner based on
- libparasail3. Parasail is a SIMD C library containing
+ libparasail. Parasail is a SIMD C library containing
  implementations of the Smith-Waterman, Needleman-Wunsch,
  and various semi-global pairwise sequence alignment algorithm.
