## parasail 2.6+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -189,6 +189,8 @@
     src/sg_dx_dispatch.c
     src/sg_qb_de_dispatch.c
     src/sg_qe_db_dispatch.c
+    src/sg_qb_db_dispatch.c
+    src/sg_qe_de_dispatch.c
     src/dispatch_profile.c
     src/satcheck.c
     src/striped_unwind.c
@@ -377,4 +379,3 @@
     src/sg_stats_scan_sse41_128_64.c
     src/sw_stats_scan_sse41_128_64.c
     src/nw_stats_scan_sse41_128_32.c
-    src/sg_stats_scan_sse41_128_32.c
