=== debian/changelog ===
parasail (2.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * d/control: add myself to uploaders.
  * Standards-Version: 4.6.1 (routine-update)
  * vectorization.patch: delete; applied upstream.
  * d/libparasail8.symbols.amd64: new symbols introduced.

 -- Étienne Mollier <emollier@debian.org>  Thu, 08 Sep 2022 22:35:34 +0200

parasail (2.5+dfsg-4) unstable; urgency=medium

  * Team upload.
  * d/rules: temporarily disable Neon support for Arm due to FTBFS.
  * Add vectorization.patch: fix SIMD compiler support detection with -Wall.
  * d/rules: disable amd64 only simd extension on i386.
  * d/rules: cp a library instead of mv; fix random static library
    disappearing from the build.
    (Closes: #1010276)
  * d/rules: flag false positive blhc warnings in configure output.

 -- Étienne Mollier <emollier@debian.org>  Sun, 01 May 2022 13:27:24 +0200
