=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: parasail
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Nilesh Patra <nilesh@debian.org>
+Uploaders: Nilesh Patra <nilesh@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                d-shlibs,
                libhts-dev,
                libsimde-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/parasail
 Vcs-Git: https://salsa.debian.org/med-team/parasail.git
 Homepage: https://github.com/jeffdaily/parasail
