## parasail 2.6.2+dfsg

=== debian/changelog ===
parasail (2.6.2+dfsg-2ubuntu2) questing; urgency=medium

  * d/rules: remove t64, missed removing while merging.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 07 May 2025 21:57:09 +0100

parasail (2.6.2+dfsg-2ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Instead of keeping the package revert, bring it back in sync with Debian
      and modify the Breaks/Conflicts/Replaces which need to be kept until the
      next LTS.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 19 Feb 2025 21:35:58 -0600

parasail (2.6.2+dfsg-2) unstable; urgency=medium

  * gcc-14.patch: new: fix incompatible pointer types. (Closes: #1075361)
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Fri, 16 Aug 2024 09:03:57 +0200

parasail (2.6.2+dfsg-1ubuntu2) noble; urgency=medium

  * Fix package name in symbols file.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Apr 2024 19:18:13 +0200

parasail (2.6.2+dfsg-1ubuntu1) noble; urgency=medium

  * Rename libparasail8 package as although it is not affected by the
    time_t transition to 64-bits, it is affected by the LFS migration
    which is implied by the time_t changes.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 19 Apr 2024 12:09:52 +1200

parasail (2.6.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * 0001-Use-system-libs.patch: refresh.

 -- Étienne Mollier <emollier@debian.org>  Thu, 17 Aug 2023 13:39:18 +0200
