=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: parasail
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Nilesh Patra <nilesh@debian.org>,
            Étienne Mollier <emollier@debian.org>
 Section: science
@@ -8,7 +9,7 @@
                d-shlibs,
                libhts-dev,
                libsimde-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/parasail
 Vcs-Git: https://salsa.debian.org/med-team/parasail.git
 Homepage: https://github.com/jeffdaily/parasail
@@ -27,6 +28,10 @@
  sequence alignment algorithm.
 
 Package: libparasail8
+Provides: ${t64:Provides}
+Replaces: libparasail8t64
+Breaks: libparasail8t64 (<< ${source:Version})
+Conflicts: libparasail8t64 (<< ${source:Version})
 Architecture: any
 Section: libs
 Multi-Arch: same
